# DMMGGetLevels

Gets the number of levels in a DMMG object

### Synopsis

    PetscInt DMMGGetLevels(DMMG *dmmg)

Not Collective

### Input Parameter

dmmg -DMMG solve context

### See Also

DMMGCreate(), DMMGGetUser()

Level:intermediate
Location:src/snes/utils/../../../include/petscdmmg.h
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex29.c.html
src/ksp/ksp/examples/tutorials/ex32.c.html
src/ksp/ksp/examples/tutorials/ex33.c.html
src/ksp/ksp/examples/tutorials/ex34.c.html
src/snes/examples/tutorials/ex22.c.html
src/snes/examples/tutorials/ex24.c.html
src/snes/examples/tutorials/ex27.c.html
src/snes/examples/tutorials/ex29.c.html